<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\MyTask;

class MyTaskController extends Controller
{
    public function index(){
        $pageTitle = 'Daily Tasks';
        $tasks = MyTask::where('status', 1)->get();
        return view('admin.tasks', compact('pageTitle', 'tasks'));
    }
    public function updateTask(Request $request)
    {
        $request->validate([
            'title' => 'required',
            'type' => 'required',
            'condition' => 'required|numeric|min:0',
            'bonus' => 'required|numeric|min:0',
        ]);

        if($request->id == 0){
            $task = new MyTask();
            $notify[] = ['success', 'Task has been Added Successfully.'];
        }else{
            $task = MyTask::findOrFail($request->id);
            $notify[] = ['success', 'Task has been Updated Successfully.'];
        }

        $task->title = $request->title;
        $task->type = $request->type;
        $task->condition = $request->condition;
        $task->bonus = $request->bonus;
        $task->status = 1;

        $task->save();

        return back()->withNotify($notify);
    }

}
