<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\VipLevel;

class VipLevelController extends Controller
{
    public function index(){
        $pageTitle = "Membership Level";
        $vipLevels = VipLevel::get();
        return view('admin.vip_levels', compact('pageTitle', 'vipLevels'));
    }
    public function updateLevel(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'deposit_requirement' => 'required|numeric|min:0',
        ]);

        if($request->id == 0){
            $vipLevel = new VipLevel();
            $notify[] = ['success', 'Vip Level has been Added Successfully.'];
        }else{
            $vipLevel = VipLevel::findOrFail($request->id);
            $notify[] = ['success', 'Vip Level has been Updated Successfully.'];
        }

        $vipLevel->name = $request->name;
        $vipLevel->deposit_requirement = $request->deposit_requirement;

        $vipLevel->save();

        return back()->withNotify($notify);
    }
}
