@extends('admin.layouts.app')
@section('panel')
<div class="row mb-none-30">
  <div class="col-md-12">
    <div class="card">
        <div class="card-body p-0">
            <div class="table-responsive--sm">
                <table class="table table--light style--two">
                    <thead>
                        <tr>
                            <th scope="col">@lang('Level Name')</th>
                            <th scope="col">@lang('Deposit Requirement')</th>
                            <th scope="col">@lang('Action')</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse($vipLevels as $vipLevel)
                        <tr>
                            <td>{{$vipLevel->name}}</td>
                            <td>{{$vipLevel->deposit_requirement}} {{$general->cur_text}}</td>

                            <td>
                                <button class="btn btn-outline--primary btn-sm movieBtn"
                                    data-id="{{ $vipLevel->id }}"
                                    data-name="{{ $vipLevel->name }}"
                                    data-deposit_requirement="{{ $vipLevel->deposit_requirement }}"
                                    data-act="Edit">
                                    <i class="la la-pencil"></i> @lang('Edit')
                                </button>
                            </td>
                        </tr>
                        @empty
                        <tr>
                            <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                        </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
  </div>
</div>

<div class="modal fade" id="planModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title"><span class="act"></span> @lang('Subscription Plan')</h5>
            <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                <i class="las la-times"></i>
            </button>
            </div>
            <form action="{{ route('admin.vip.level.update') }}" method="post">
                @csrf
                <input type="hidden" name="id">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="name">Vip Level Name</label>
                        <input type="text" class="form-control" name="name" placeholder="@lang('Vip Level Name')" required>
                    </div>
                    <div class="form-group">
                        <label for="duration">Deposit Requirement</label>
                        <div class="input-group">
                            <input class="form-control" type="number" step="any" name="deposit_requirement" placeholder="@lang('Deposit Requirement')" required>
                            <span class="input-group-text">{{ __($general->cur_text) }}</span>
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100">@lang('Submit')</button>
                </div>
            </form>
        </div>
    </div>
</div>

<x-confirmation-modal />

@endsection
@push('breadcrumb-plugins')
    <button class="btn btn-outline--primary btn-sm movieBtn" data-id="0" data-act="Add" data-bs-toggle="modal" data-bs-target="#planModal"><i class="las la-plus"></i> @lang('Add New')</button>
@endpush


@push('script')
<script>
    (function($){
        "use strict";
        $('.movieBtn').on('click', function() {
            var modal = $('#planModal');
            modal.find('.act').text($(this).data('act'));
            modal.find('input[name=id]').val($(this).data('id'));
            modal.find('input[name=name]').val($(this).data('name'));
            modal.find('input[name=deposit_requirement]').val($(this).data('deposit_requirement'));
            if($(this).data('id') == 0){
                modal.find('form')[0].reset();
            }
            modal.modal('show');
        });
    })(jQuery);
</script>
@endpush
