
<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    {{-- <meta name="viewport" content="width=device-width, initial-scale=1"> --}}
    <meta name="viewport" content="width=device-width, user-scalable=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ $general->siteName(__($pageTitle)) }}</title>
    @include('partials.seo')
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
    <link rel="stylesheet" href="https://maxst.icons8.com/vue-static/landings/line-awesome/font-awesome-line-awesome/css/all.min.css">
    <link rel="stylesheet" href="https://maxst.icons8.com/vue-static/landings/line-awesome/line-awesome/1.3.0/css/line-awesome.min.css">
    {{-- <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:opsz,wght,FILL,GRAD@24,200,0,0" /> --}}
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons+Round" rel="stylesheet">
    <link rel='stylesheet' href='https://cdn-uicons.flaticon.com/2.0.0/uicons-solid-rounded/css/uicons-solid-rounded.css'>
    <link rel='stylesheet' href='https://cdn-uicons.flaticon.com/2.0.0/uicons-regular-rounded/css/uicons-regular-rounded.css'>
    <link rel='stylesheet' href='https://cdn-uicons.flaticon.com/2.0.0/uicons-thin-rounded/css/uicons-thin-rounded.css'>
    <link rel='stylesheet' href='https://cdn-uicons.flaticon.com/2.0.0/uicons-bold-rounded/css/uicons-bold-rounded.css'>
    @include('templates.basic.layouts.custom.mobile_css')
    @include('templates.basic.layouts.custom.blue')
    @stack('style')
    <style>
        body, nav{
            max-width: 400px !important;
            margin: auto;
        }
    </style>
</head>



<body>

    <!--top-nav-->
    {{-- <nav class="navbar fixed-top navbar-dark bg-dark">
        <div class="container-fluid">
            <div class="row align-items-center justify-content-center">
                <div class="col-12 text-center">
                    <a class="navbar-brand me-0" href="{{ route('home') }}">
                        <img class="site-logo" src="{{ asset('assets/images/logoIcon/logo.png') }}" alt="logo">
                    </a>
                </div>
                @auth
                    <div class="col-auto">
                        <div class="btn btn-sm btn-primary rounded-pill">
                            <img width="20px" height="20px" style="margin-top: -2px" src="{{asset('assets/images/3d-icon/coin.png')}}" alt="">
                            <span class="badge bg-white text-dark userBalance rounded-pill" style="padding-top: 2px; padding-bottom: 2px;">
                                <b>{{$general->cur_sym}}{{showAmount(auth()->user()->balance)}}</b>
                            </span>
                        </div>
                    </div>
                @endauth
            </div>
        </div>
    </nav> --}}


    @yield('content')

    <!-- Bottom Nav -->
    <nav class="navbar fixed-bottom navbar-dark bg-light" style="background-color:#99ccff;;">
        <div class="container-fluid" style="background-color:#99ccff;margin-top:-15px;">
            <div class="row mx-auto pb-2" style="justify-content: space-evenly">
                <div class="col-auto px-2 nav-icon" >
                    <a class="text-center" href="{{ route('home') }}">
                        <i class="fi fi-sr-home"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">Home</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('user.my.task') }}">
                        <i class="fi fi-sr-clipboard-list-check"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">Task</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('user.my.order') }}">
                        <i class="fi fi-sr-camera"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">Grab</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('service') }}">
                        <i class="fi fi-sr-comment-alt"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">Service</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('user.home') }}">
                        <i class="fi fi-sr-user"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">My</p>
                    </a>
                </div>
            </div>
        </div>
    </nav>

    {{-- <!-- Bottom Nav -->
    <nav class="navbar fixed-bottom navbar-dark bg-2nd-dark">
        <div class="container-fluid">
            <div class="row mx-auto pb-2" style="justify-content: space-evenly">
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('home') }}">
                        <i class="material-icons-round">home</i>
                        <p style="margin-top: -6px" class="small-font-sm text-white think-font">Home</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('user.my.task') }}">
                        <i class="material-icons-round">feed</i>
                        <p style="margin-top: -6px" class="small-font-sm text-white think-font">Task</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('user.my.order') }}">
                        <i class="material-icons-round">widgets</i>
                        <p style="margin-top: -6px" class="small-font-sm text-white think-font">Grab the Order</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('service') }}">
                        <i class="material-icons-round">contact_support</i>
                        <p style="margin-top: -6px" class="small-font-sm text-white think-font">Service</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="{{ route('user.home') }}">
                        <i class="material-icons-round">person</i>
                        <p style="margin-top: -6px" class="small-font-sm text-white think-font">My</p>
                    </a>
                </div>
            </div>
        </div>
    </nav> --}}

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
</script>

<script>
    const Spiner = `<div class="spinner-border spinner-border-sm" role="status"></div>`;
    //-- Notify --//
    const notifyMsgBig = (headline, msg, cls) => {
        Swal.fire(
            headline,msg,cls
        )
    }
    const notifyMsg = (msg,cls) => {
        Swal.fire({
            position: 'top-end',
            icon: cls,
            title: msg,
            toast:true,
            showConfirmButton: false,
            timer: 2500
        })
    }

    const userDataApi = () => {
        $.ajax({
            type: "get",
            url: "{{route('user.data.api')}}",
            success: function (res) {
                $('.userBalance').html('{{ $general->cur_sym }}'+(parseFloat(res.user.balance).toFixed(2)))
            }
        });
    }
    userDataApi()

</script>

<script>
    const currentUrl = $(location).attr('href');
    // active Class System Jquery
    $('.nav-icon a').each(function(index,item){
        let navLink = item['href'];
        if (currentUrl == navLink){
            $('.nav-icon').removeClass('active');
            $(this).addClass('active');
        }
    });

</script>

<script>
    const copyTxt = (id) =>{
        var r = document.createRange();
        r.selectNode(document.getElementById(id));
        window.getSelection().removeAllRanges();
        window.getSelection().addRange(r);
        document.execCommand('copy');
        window.getSelection().removeAllRanges();
        notifyGlass('success','Copy Success!')
    }
</script>

@stack('script')
@include('partials.plugins')
@include('partials.notify')

</body>

</html>
