@foreach ($plans as $plan)
<div class="col-md-6">
    <div class="card border border-2 border-secondary">
        <div class="card-body">
            <div class="row mb-2">
                <div class="col-12 border-bottom border-white">
                    <h5 class="mb-0 text-white">{{ __($plan->name) }}</h5>
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-auto">
                    <img width="90px" src="https://pngfre.com/wp-content/uploads/cow-png-from-pngfre-17-300x269.png" alt="">
                </div>
                <div class="col">
                    <div class="row mb-2">
                        <div class="col-12 bg-secondary">
                            <div class="row">
                                <div class="col-auto ps-1 pe-1">
                                    <img width="20px" src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/94/AXA_Logo.svg/1200px-AXA_Logo.svg.png" alt="">
                                </div>
                                <div class="col ps-0 pe-1">
                                    <h6 class="mb-0 text-white small-font-sm">
                                        Axa France Insurance provides you with insurance services.
                                    </h6>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6 text-start">
                            <h6 class="mb-0 text-secondary small-font">Price</h6>
                            <h5 class="mb-0 text-white small-font-lg">{{ __(getAmount($plan->price)) }} {{ __($general->cur_text) }}</h5>
                        </div>
                        <div class="col-6 text-end">
                            <h6 class="mb-0 text-secondary small-font">Period</h6>
                            <h5 class="mb-0 text-white small-font-lg">{{ $plan->validity }} Days</h5>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row align-items-end">
                <div class="col">
                    <h5 class="mb-0 text-white small-font">
                        Referral Bonus: {{ $plan->ref_level }} @lang('Level')
                    </h5>
                    <h5 class="mb-0 text-white small-font">
                        Daily Earning: {{ $plan->daily_profit }} {{$general->cur_text}}
                    </h5>
                    <h5 class="mb-0 text-white small-font">
                        Total Earning: {{ $plan->daily_profit * $plan->validity }} {{$general->cur_text}}
                    </h5>
                </div>
                <div class="col-auto">
                    <button class="btn btn-light btn-sm rounded-pill">Adopt</button>
                </div>
            </div>

        </div>
    </div>
</div>



    {{-- <div class="col-md-6 col-lg-4">
        <div class="pricing__item " data-aos="fade-up" data-aos-duration="1000">
            <div class="pricing__item-inner active">
                <div class="pricing__item-content">

                    <!-- pricing top part -->
                    <div class="pricing__item-top">
                        <h6 class="mb-15">{{ __($plan->name) }}</h6>
                        <h3 class="mb-25">{{ __($general->cur_sym) }}{{ __(getAmount($plan->price)) }}/<span>{{ $plan->validity }} @lang('Days')</span> </h3>
                    </div>

                    <!-- pricing middle part -->
                    <div class="pricing__item-middle">
                        <ul class="pricing__list">
                            <li class="pricing__list-item">
                                <span><img src="assets/images/icon/check.svg" alt="check" class="dark"></span>
                                Validity: {{ $plan->validity }} @lang('Days')
                            </li>
                            <li class="pricing__list-item">
                                <span><img src="assets/images/icon/check.svg" alt="check" class="dark"></span>
                                Referral Bonus: @lang('Upto') {{ $plan->ref_level }} @lang('Level')
                            </li>
                            <li class="pricing__list-item">
                                <span><img src="assets/images/icon/check.svg" alt="check" class="dark"></span>
                                Daily Earning: {{ $plan->daily_profit }} {{$general->cur_text}}
                            </li>
                        </ul>

                    </div>

                    <!-- pricing bottom part -->
                    <div class="pricing__item-bottom">
                        @if (@auth()->user()->runningPlan && @auth()->user()->plan_id == $plan->id)
                            <button class="trk-btn trk-btn--outline active disabled" disabled>@lang('Current Package')</button>
                        @else
                            <button class="trk-btn trk-btn--outline active buyBtn" data-plan="{{ $plan }}">@lang('Subscribe Now')</button>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div> --}}

@endforeach
