@extends($activeTemplate . 'layouts.mobile')
@section('content')
    @php
        $kycInfo = getContent('kyc_info.content', true);
        checkLevel($user->id)
    @endphp

    <div id="appCapsule">
        <div class="bg-profile p-2">

            <div class="row">
                <div class="col text-center mb-2">
                    <h5 class="mb-0 ps-5" style="font-weight: 500;">Personal Center</h5>
                </div>
                <a href="{{ route('user.account.setting') }}" class="col-auto">
                    <i class="fas fa-cog text-white" style="font-size: 22px"></i>
                </a>
            </div>

            <div class="row align-items-center pt-0 px-2">
                <div class="col-auto">
                    <img class="rounded-circle" style="width: 60px; height: 60px;" src="{{ asset('assets/images/logoIcon/logo.png') }}" alt="">
                </div>
                <div class="col">
                    <h5 class="small-font-lg text-white">
                        {{$user->email}}
                    </h5>
                    <div class="progress bg-white my-2" style="height: 2px;">
                        <div class="progress-bar " role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
                    <h6 class="small-font-sm text-white">
                        Next level: {{showAmount($user->deposits_success->sum('amount'))}}/{{$nextLevel ? $nextLevel->deposit_requirement : 'MAX'}} (Recharge)
                    </h6>
                </div>
                <a href="{{route('user.logout')}}" class="col-auto">
                    <i class="fas fa-sign-out-alt text-white" style="font-size: 20px"></i>
                </a>
            </div>

            {{-- <div class="row mt-3">
                <div class="col-6">
                    <div class="card border border-1 border-white">
                        <div class="card-body py-1">
                            <h6 class="mb-1 small-font-sm text-white think-font">Current Balance</h6>
                            <h5 class="mb-0 small-font text-white think-font">{{ getAmount($user->balance) }}
                                {{ $general->cur_text }}</h5>
                        </div>
                    </div>
                </div>
                <div class="col-6">
                    <div class="card border border-1 border-white">
                        <div class="card-body py-1 text-end">
                            <h6 class="mb-1 small-font-sm text-white think-font">Today Earning</h6>
                            <h5 class="mb-0 small-font text-white think-font">
                                {{ getAmount($total['deposit']) }} {{ $general->cur_text }}
                            </h5>
                        </div>
                    </div>
                </div>
            </div> --}}
        </div>

        <div class="container" style="margin-top: -70px;">
            <div class="card bg-tr-light">
                <div class="card-body">
                    <div class="row">
                        <div class="col-4 text-center">
                            <h5 class="text-light mid-font mb-2">{{getAmount($today['grabing_bonus'])}}</h5>
                            <h5 class="text-light small-font-sm">Today's Earning</h5>
                        </div>
                        <div class="col-4 border-start border-end border-light text-center">
                            <h5 class="text-light mid-font mb-2">{{getAmount($user->balance)}}</h5>
                            <h5 class="text-light small-font-sm">Balance</h5>
                        </div>
                        <div class="col-4 text-center">
                            <h5 class="text-light mid-font mb-2">{{getAmount($user->frozen_balance)}}</h5>
                            <h5 class="text-light small-font-sm">Frozen amount</h5>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mt-2">
                <div class="col-6 pe-1">
                    <a href="{{route('user.deposit.index')}}" class="card bg-tr-light">
                        <div class="card-body p-2">
                            <div class="row align-items-center">
                                <div class="col-auto">
                                    <div class="icon-circle">
                                        <i class="fi fi-rr-credit-card"></i>
                                    </div>
                                </div>
                                <div class="col">
                                    <h6 class="small-font text-light">Recharge Balance</h6>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
                <div class="col-6 ps-1">
                    <a href="{{route('user.withdraw.cash.channel')}}" class="card bg-tr-light">
                        <div class="card-body p-2">
                            <div class="row align-items-center">
                                <div class="col-auto">
                                    <div class="icon-circle">
                                        <i class="fi fi-rr-money-from-bracket"></i>
                                    </div>
                                </div>
                                <div class="col">
                                    <h6 class="small-font text-light">Withdraw Now</h6>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>

            <a href="{{route('user.team.report', 1)}}" class="card bg-tr-light mt-2">
                <div class="card-body p-2">
                    <div class="row align-items-center">
                        <div class="col-auto">
                            <div class="icon-circle">
                                <i class="fi fi-rr-users-alt"></i>
                            </div>
                        </div>
                        <div class="col text-end">
                            <h6 class="small-font text-light">Team Earnings</h6>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-angle-right text-light"></i>
                        </div>
                    </div>
                </div>
            </a>
            <a href="{{route('user.movies')}}" class="card bg-tr-light mt-2">
                <div class="card-body p-2">
                    <div class="row align-items-center">
                        <div class="col-auto">
                            <div class="icon-circle">
                                <i class="fi fi-rr-camera-movie"></i>
                            </div>
                        </div>
                        <div class="col text-end">
                            <h6 class="small-font text-light">Order Investment</h6>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-angle-right text-light"></i>
                        </div>
                    </div>
                </div>
            </a>

            <div class="card bg-tr-light mt-2">
                <div class="card-body">
                    <div class="row">
                        <a href="{{ route('user.account.records', 'all') }}" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-time-quarter-to"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Account Record</h6>
                        </a>
                        <a href="{{route('user.electronic.wallet')}}" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-wallet"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Electronic Wallet</h6>
                        </a>
                        <a href="{{route('user.membership.level')}}" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-gem"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Membership level</h6>
                        </a>
                    </div>
                </div>
            </div>
            <div class="card bg-tr-light mt-2 mb-3">
                <div class="card-body">
                    <div class="row">
                        <a href="{{route('user.box.office.guide')}}" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-ticket-airline"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Box Office Guide</h6>
                        </a>
                        <a href="{{route('user.user.agreement')}}" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-briefcase"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">User Agreement</h6>
                        </a>
                        <a href="{{route('user.share.code')}}" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-share-square"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Share Code</h6>
                        </a>
                    </div>
                </div>
            </div>

        </div>

    </div>





    {{-- <section class="cmn-section">
    <div class="container">
        <div class="row cmn-text">
            <div class="col-md-12 mb-4">
                @if (auth()->user()->kv == 0)
                    <div class="alert alert-info" role="alert">
                        <h4 class="alert-heading">@lang('KYC Verification required')</h4>
                        <hr>
                        <p class="mb-0">{{ __($kycInfo->data_values->verification_content) }} <a
                                href="{{ route('user.kyc.form') }}">@lang('Click Here to Verify')</a>
                        </p>
                    </div>
                @elseif(auth()->user()->kv == 2)
                    <div class="alert alert-warning" role="alert">
                        <h4 class="alert-heading">@lang('KYC Verification pending')</h4>
                        <hr>
                        <p class="mb-0">{{ __($kycInfo->data_values->pending_content) }} <a
                                href="{{ route('user.kyc.data') }}">@lang('See KYC Data')</a></p>
                    </div>
                @endif
            </div>
            <div class="col-md-6 mb-30">
                <div class="widget-two h-100 box--shadow2 b-radius--5 bg--white">
                    <i class="fas fa-dollar-sign overlay-icon text--primary"></i>
                    <div class="widget-two__icon b-radius--5 bg--primary">
                        <i class="fas fa-dollar-sign"></i>
                    </div>
                    <div class="widget-two__content">
                        <h2 class="bal">{{ getAmount($user->balance) }} {{ $general->cur_sym }}</h2>
                        <div class="d-flex flex-wrap justify-content-between position-relative">
                            <p>@lang('My Balance')</p>
                        <a href="{{ route('user.withdraw') }}"
                                class="btn cmn-btn">@lang('Withdraw') <i class="fas fa-arrow-circle-right"></i></a>
                        </div>
                    </div>
                </div><!-- widget-two end -->
            </div>
            <div class="col-md-6 mb-30">
                <div class="widget-two h-100 box--shadow2 b-radius--5 bg--white">
                    <i class="fas fa-gem overlay-icon text--primary"></i>
                    <div class="widget-two__icon b-radius--5 bg--primary">
                        <i class="fas fa-gem"></i>
                    </div>
                    <div class="widget-two__content">
                        <h2>
                            @if ($user->plan)
                                {{ __($user->plan->name) }} @if ($user->expire_date < now()) (@lang('Expired')) @endif
                            @else
                                @lang('No Plan')
                            @endif
                        </h2>
                        <div class="d-flex flex-wrap justify-content-between position-relative">
                            <p>@lang('My Plan')</p>
                        <a href="{{ route('plans') }}" class="btn cmn-btn">@if ($user->expire_date >= now()) @lang('Change Plan') @else @lang('Plans') @endif <i class="fas fa-arrow-circle-right"></i></a>
                        </div>
                        @if ($user->expire_date >= now())
                        <small class="text--danger">@lang('expire in') {{ \Carbon\Carbon::parse($user->expire_date)->format('Y-m-d') }}</small>
                        @endif
                    </div>
                </div><!-- widget-two end -->
            </div>
            <div class="col-6 mb-30">
                <div class="widget-three box--shadow2 b-radius--5 bg--white">
                    <div class="widget-three__icon b-radius--rounded bg--primary">
                        <i class="far fa-credit-card"></i>
                    </div>
                    <div class="widget-three__content">
                        <h2>{{ getAmount($user->deposits->sum('amount')) }} {{ $general->cur_sym }}</h2>
                        <p>@lang('Total Deposit')</p>
                        <a href="{{ route('user.deposit.history') }}" class="btn cmn-btn mt-2">@lang('Deposit Log ')<i class="fas fa-arrow-circle-right"></i></a>
                    </div>
                </div>
            </div>
            <div class="col-6 mb-30">
                <div class="widget-three box--shadow2 b-radius--5 bg--white">
                    <div class="widget-three__icon b-radius--rounded bg--primary">
                        <i class="fas fa-wallet"></i>
                    </div>
                    <div class="widget-three__content">
                        <h2> {{ getAmount($user->withdrawals->where('status',1)->sum('amount')) }} {{ $general->cur_sym }}</h2>
                        <p>@lang('Total Withdraw')</p>
                        <a href="{{ route('user.withdraw.history') }}" class="btn cmn-btn mt-2">@lang('Withdraw Log ')<i class="fas fa-arrow-circle-right"></i></a>
                    </div>
                </div>
            </div>

            <a href="javascript:void(0)" class="col-lg-6 col-md-12 mb-30">
                <div class="widget bb--3 border--success b-radius--10 bg--white p-2 pt-3 box--shadow2">
                    <div class="widget__icon b-radius--rounded bg--success"><i class="fas fa-stopwatch"></i></div>
                    <div class="widget__content">
                        <p class="text-uppercase text-muted mb-0">@lang('Next Reminder')</p>
                        <h2 class="text--base fw-bold timer" id="counter"></h2>
                    </div>
                    <div class="widget__arrow">
                        <i class="fas fa-chevron-right"></i>
                    </div>
                </div>
            </a>

            <a href="{{ route('user.commissions') }}" class="col-lg-6 col-md-12 mb-30">
                <div class="widget bb--3 border--success b-radius--10 bg--white p-2 pt-3 box--shadow2">
                    <div class="widget__icon b-radius--rounded bg--success"><i class="fas fa-mouse-pointer"></i></div>
                    <div class="widget__content">
                        <p class="text-uppercase text-muted mb-0">@lang('Referral Commissions')</p>
                        <h2 class="text--base fw-bold">
                            {{ __($commissionCount) }} {{ $general->cur_text }}
                        </h2>
                    </div>
                    <div class="widget__arrow">
                        <i class="fas fa-chevron-right"></i>
                    </div>
                </div>
            </a>

        </div>
    </div>
</section> --}}
@endsection
@push('script')
    <script src="{{ asset('assets/admin/js/vendor/apexcharts.min.js') }}"></script>
    {{-- <script>
        (function($) {
            "use strict";
            // apex-bar-chart js
            // var options = {
            //     series: [{
            //         name: 'Clicks',
            //         data: [
            //             @foreach ($chart['click'] as $key => $click)
            //                 {{ $click }},
            //             @endforeach
            //         ]
            //     }, {
            //         name: 'Earn Amount',
            //         data: [
            //             @foreach ($chart['amount'] as $key => $amount)
            //                 {{ $amount }},
            //             @endforeach
            //         ]
            //     }],
            //     chart: {
            //         type: 'bar',
            //         height: 580,
            //         toolbar: {
            //             show: false
            //         }
            //     },
            //     plotOptions: {
            //         bar: {
            //             horizontal: false,
            //             columnWidth: '55%',
            //             endingShape: 'rounded'
            //         },
            //     },
            //     dataLabels: {
            //         enabled: false
            //     },
            //     stroke: {
            //         show: true,
            //         width: 2,
            //         colors: ['transparent']
            //     },
            //     xaxis: {
            //         categories: [
            //             @foreach ($chart['amount'] as $key => $amount)
            //                 '{{ $key }}',
            //             @endforeach
            //         ],
            //     },
            //     fill: {
            //         opacity: 1
            //     },
            //     tooltip: {
            //         y: {
            //             formatter: function(val) {
            //                 return val
            //             }
            //         }
            //     }
            // };
            // var chart = new ApexCharts(document.querySelector("#apex-bar-chart"), options);
            // chart.render();
            function createCountDown(elementId, sec) {
                var tms = sec;
                var x = setInterval(function() {
                    var distance = tms * 1000;
                    var days = Math.floor(distance / (1000 * 60 * 60 * 24));
                    var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
                    var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
                    var seconds = Math.floor((distance % (1000 * 60)) / 1000);
                    document.getElementById(elementId).innerHTML = days + "d: " + hours + "h " + minutes +
                        "m " + seconds + "s ";
                    if (distance < 0) {
                        clearInterval(x);
                        document.getElementById(elementId).innerHTML = "{{ __('COMPLETE') }}";
                    }
                    tms--;
                }, 1000);
            }
            createCountDown('counter', {{ \Carbon\Carbon::tomorrow()->diffInSeconds() }});
        })(jQuery);
    </script> --}}
@endpush
