@extends($activeTemplate.'layouts.mobile')
@section('content')
@include('templates.basic.layouts.mobile.top_nav_mini')

<div id="appCapsule">
    <div class="container mt-3">
        @forelse ($deposits as $k=>$deposit)

        <div class="row border-bottom py-2 @if($k==0) border-top @endif" style="border-color: #181818!important;">
            <div class="col-12">
                <div class="row">
                    <div class="col pe-1">
                        <p class="text-light mb-0 small-font">
                            {{ $deposit->created_at }}
                            @if ($deposit->status == 1)
                                <span class="ps-2 text-success">Success</span>
                            @elseif ($deposit->status == 2)
                                <span class="ps-2 text-warning">Processing</span>
                            @elseif ($deposit->status == 3)
                                <span class="ps-2 text-danger">Failed</span>
                            @endif
                        </p>
                    </div>
                    <div class="col-auto ps-0">
                        <h5 class="mb-0 text-start small-font text-light fw-bold">
                            {{ getAmount($deposit->amount ) }} {{ __($general->cur_text) }}
                        </h5>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 pe-1">
                        <p class="text-light mb-0 small-font">
                            Order ID: <span class="fw-bold">{{ $deposit->trx }}</span>
                        </p>
                    </div>
                    {{-- <div class="col-12">
                        <p class="text-light mb-0 small-font">
                            <span class="fw-bold">Deposit With {{ __(@$deposit->gateway?->name) }}</span>
                        </p>
                    </div> --}}
                </div>
            </div>
        </div>


            {{-- <div class="card glass-bg my-2">
                <div class="card-body">

                </div>
            </div> --}}


            {{-- <div class="card glass-bg my-2">
                <div class="card-body">
                    <div class="row">
                        <div class="col">
                            <h6 class="mb-0 text-start small-font-lg text-primary">
                                Deposit With {{ __(@$deposit->gateway?->name) }}
                            </h6>
                        </div>
                        <div class="col-auto">
                            <h6 class="mb-0 small-font text-secondary">
                                @php echo $deposit->statusBadge @endphp
                            </h6>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <p class="mb-0 text-start small-font text-light">
                                Amount:
                            </p>
                        </div>
                        <div class="col-auto">
                            <p class="mb-0 text-start small-font text-primary">
                                {{ getAmount($deposit->amount ) }} {{ __($general->cur_text) }}
                            </p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <p class="mb-0 text-start small-font text-light">
                                Transaction:
                            </p>
                        </div>
                        <div class="col-auto">
                            <p class="mb-0 text-start small-font text-warning">
                                {{ $deposit->trx }}
                            </p>
                        </div>
                    </div>

                </div>
            </div> --}}

        @empty
            <div class="container mt-5">
                {{ emptyData("Ops, No Record Found!") }}
            </div>
        @endforelse

        <div class="d-flex justify-content-center mt-4">
            {{ $deposits->links() }}
        </div>
    </div>
</div>

{{-- <div class="cmn-section">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">

                <div class="card">
                    <div class="card-header border-0 py-3">

                    </div>
                    <div class="card-body p-0">
                        <div class="table-responsive--sm">
                            <table class="table">
                                <thead class="thead-dark">
                                    <tr>
                                        <th>@lang('Gateway | Transaction')</th>
                                        <th class="text-center">@lang('Initiated')</th>
                                        <th class="text-center">@lang('Amount')</th>
                                        <th class="text-center">@lang('Conversion')</th>
                                        <th class="text-center">@lang('Status')</th>
                                        <th>@lang('Details')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($deposits as $deposit)
                                        <tr>
                                            <td>
                                                <span class="fw-bold"> <span class="text-primary">{{ __($deposit->gateway?->name) }}</span> </span>
                                                <br>
                                                <small> {{ $deposit->trx }} </small>
                                           </td>

                                           <td class="text-center">
                                               {{ showDateTime($deposit->created_at) }}<br>{{ diffForHumans($deposit->created_at) }}
                                           </td>
                                           <td class="text-center">
                                              {{ __($general->cur_sym) }}{{ showAmount($deposit->amount ) }} + <span class="text-danger" title="@lang('charge')">{{ showAmount($deposit->charge)}} </span>
                                               <br>
                                               <strong title="@lang('Amount with charge')">
                                               {{ showAmount($deposit->amount+$deposit->charge) }} {{ __($general->cur_text) }}
                                               </strong>
                                           </td>
                                           <td class="text-center">
                                              1 {{ __($general->cur_text) }} =  {{ showAmount($deposit->rate) }} {{__($deposit->method_currency)}}
                                               <br>
                                               <strong>{{ showAmount($deposit->final_amo) }} {{__($deposit->method_currency)}}</strong>
                                           </td>
                                           <td class="text-center">
                                               @php echo $deposit->statusBadge @endphp
                                           </td>
                                            @php
                                                $details = ($deposit->detail != null) ? json_encode($deposit->detail) : null;
                                            @endphp

                                            <td>
                                                <a href="javascript:void(0)" class="btn btn--base btn-sm @if($deposit->method_code >= 1000) detailBtn @else disabled @endif"
                                                    @if($deposit->method_code >= 1000)
                                                        data-info="{{ $details }}"
                                                    @endif
                                                    @if ($deposit->status == Status::PAYMENT_REJECT)
                                                    data-admin_feedback="{{ $deposit->admin_feedback }}"
                                                    @endif
                                                    >
                                                    <i class="fa fa-desktop"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td colspan="100%" class="text-center">{{ __($emptyMessage) }}</td>
                                        </tr>
                                    @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>
                    @if($deposits->hasPages())
                    <div class="card-footer">
                        {{ $deposits->links() }}
                    </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div> --}}

{{-- APPROVE MODAL --}}
<div id="detailModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">@lang('Details')</h5>
                <span type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </span>
            </div>
            <div class="modal-body">
                <ul class="list-group userData mb-2">
                </ul>
                <div class="feedback"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark btn-sm" data-bs-dismiss="modal">@lang('Close')</button>
            </div>
        </div>
    </div>
</div>

@endsection


@push('script')
    <script>
        (function ($) {
            "use strict";
            $('.detailBtn').on('click', function () {
                var modal = $('#detailModal');

                var userData = $(this).data('info');
                var html = '';
                if(userData){
                    userData.forEach(element => {
                        if(element.type != 'file'){
                            html += `
                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <span>${element.name}</span>
                                <span">${element.value}</span>
                            </li>`;
                        }
                    });
                }

                modal.find('.userData').html(html);

                if($(this).data('admin_feedback') != undefined){
                    var adminFeedback = `
                        <div class="my-3">
                            <strong>@lang('Admin Feedback')</strong>
                            <p>${$(this).data('admin_feedback')}</p>
                        </div>
                    `;
                }else{
                    var adminFeedback = '';
                }

                modal.find('.feedback').html(adminFeedback);


                modal.modal('show');
            });
        })(jQuery);

    </script>
@endpush
