@extends($activeTemplate . 'layouts.mobile')
@section('content')
    @php
        $importentNotice = getContent('notice.content', true);
    @endphp
    <div id="appCapsule">
        <div class="bg-profile p-2">
            <div class="row">
                <div onclick="history.back()" class="col-auto btn">
                    <i class="fas fa-angle-left text-white" style="font-size: 20px"></i>
                </div>
                <div class="col text-center">
                    <h6 class="mb-0 my-2 text-white small-font-lg fw-bold">
                        {{ __($pageTitle) }}
                    </h6>
                </div>
                <div onclick="location.reload();" class="col-auto btn">
                    <i class="fas fa-sync-alt text-white"></i>
                </div>
            </div>

        </div>
        <div class="container" style="margin-top: -155px">
            <div class="card bg-tr-light mt-4">
                <div class="card-body py-0">
                    <div class="row">
                        <div class="col-12 text-center">
                            <img style="width: 90px;"
                                src="https://static.vecteezy.com/system/resources/thumbnails/031/424/825/small_2x/game-ui-vip-icon-gold-crown-with-red-ribbon-design-icon-png.png"
                                alt="" />
                        </div>
                        <div class="col text-center">
                            <h2 class="mb-0 vip-font text-light">
                                {{ $user->level_id ? $user->level?->name : 'VIP 0' }}
                            </h2>
                        </div>
                    </div>
                </div>
            </div>

            <div class="swiper mySwiper mt-2 w-75">
                <div class="swiper-wrapper">
                    @foreach ($levels as $lev)
                        <div class="swiper-slide">
                            <div class="card {{ $lev->id == $user->level_id ? 'bg-gr-green-light' : 'bg-gr-red' }}">
                                <div class="card-body">
                                    <div class="row align-items-center">
                                        <div class="col">
                                            <h1 class="mb-0 vip-font text-white">
                                                {{$lev->name}}
                                            </h1>
                                            <p class="small-font text-white">
                                                Deposit Requirement: {{ $general->cur_sym }}{{ $lev->deposit_requirement }}
                                            </p>
                                        </div>
                                        <div class="col-auto">
                                            <img width="70px" height="70px" src="https://static.vecteezy.com/system/resources/thumbnails/031/424/825/small_2x/game-ui-vip-icon-gold-crown-with-red-ribbon-design-icon-png.png">
                                            {{-- <img width="70px" height="70px" src="{{ asset('assets/images/site-icons/vip-member.png') }}"> --}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>

            <div class="card bg-tr-light mt-2">
                <div class="card-header">
                    <div class="row">
                        <div class="col-auto">
                            <h5 class="text-light small-font-lg fw-bold w-100">
                                {{ __('Upgrade VIP Notice') }}</h5>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <span class="text-light small-font-lg">
                        {!! @$importentNotice->data_values->membership_level_notice !!}
                    </span>
                </div>
            </div>
        </div>
    </div>

    </div>
    </div>
@endsection
@push('style')
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Goldman:wght@700&family=Playfair+Display:ital,wght@1,800&display=swap"
        rel="stylesheet">

    <style>
        .bg-red-image {
            background: url("{{ asset('assets/images/bg/bg-red-img.png') }}") no-repeat;
            background-size: 100% 100%;
        }
    </style>
@endpush
@push('style')
    <link rel="stylesheet"href="https://cdn.jsdelivr.net/npm/swiper@10/swiper-bundle.min.css" />
@endpush
@push('script')
    <script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>

    <!-- Initialize Swiper -->
    <script>
        var swiper = new Swiper(".mySwiper", {
            slidesPerView: "auto",
            effect: "cards",
            centeredSlides: true,
            spaceBetween: 30,
            centeredSlides: false,
            slidesPerGroupSkip: 1,
            loop: true,
            autoplay: {
                delay: 2500,
                disableOnInteraction: false
            },
            grabCursor: true,
        });
    </script>
@endpush
