@extends('templates.basic.user.records.account_records')

@section('sub-content')
    @forelse ($transactions as $k=>$txn)
        <div class="row border-bottom border-secondary py-2 @if ($k == 0) border-top @endif">
            <div class="col-12">
                <div class="row">
                    <div class="col pe-1">
                        <p class="text-light mb-0 small-font">
                            {{ $txn->created_at }}
                        </p>
                    </div>
                    <div class="col-auto ps-0">
                        <h5 class="mb-0 text-start small-font fw-bold">
                            <span class="@if ($txn->trx_type == '+') text--success @else text--danger @endif">
                                {{ $txn->trx_type }} {{ showAmount($txn->amount) }}
                                {{ $txn->remark == 'energy_bonus' ? 'Energy' : $general->cur_text }}
                            </span>
                        </h5>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 pe-1">
                        <p class="text-light mb-0 small-font">
                            {{ __($txn->details) }}
                        </p>
                    </div>
                </div>
            </div>
        </div>

    @empty
        <div class="container mt-5">
            {{ emptyData('Ops, No Record Found!') }}
        </div>
    @endforelse

    <div class="d-flex justify-content-center mt-4">
        {{ $transactions->links() }}
    </div>
@endsection
