@extends('templates.basic.user.records.account_records')

@section('sub-content')
    @forelse ($deposits as $k=>$deposit)
        <div class="row border-bottom border-secondary py-2 @if ($k == 0) border-top @endif">
            <div class="col-12">
                <div class="row">
                    <div class="col pe-1">
                        <p class="text-light mb-0 small-font">
                            {{ $deposit->created_at }}
                            @if ($deposit->status == 1)
                                <span class="ps-2 text-success">Success</span>
                            @elseif ($deposit->status == 2)
                                <span class="ps-2 text-warning">Processing</span>
                            @elseif ($deposit->status == 3)
                                <span class="ps-2 text-danger">Failed</span>
                            @endif
                        </p>
                    </div>
                    <div class="col-auto ps-0">
                        <h5 class="mb-0 text-start small-font text-light fw-bold">
                            {{ getAmount($deposit->amount) }} {{ __($general->cur_text) }}
                        </h5>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 pe-1">
                        <p class="text-light mb-0 small-font">
                            Order ID: <span class="fw-bold">{{ $deposit->trx }}</span>
                        </p>
                    </div>
                </div>
            </div>
        </div>

    @empty
        <div class="container mt-5">
            {{ emptyData('Ops, No Record Found!') }}
        </div>
    @endforelse

    <div class="d-flex justify-content-center mt-4">
        {{ $deposits->links() }}
    </div>
@endsection


{{-- @push('script')
    <script>
        (function ($) {
            "use strict";
            $('.detailBtn').on('click', function () {
                var modal = $('#detailModal');

                var userData = $(this).data('info');
                var html = '';
                if(userData){
                    userData.forEach(element => {
                        if(element.type != 'file'){
                            html += `
                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <span>${element.name}</span>
                                <span">${element.value}</span>
                            </li>`;
                        }
                    });
                }

                modal.find('.userData').html(html);

                if($(this).data('admin_feedback') != undefined){
                    var adminFeedback = `
                        <div class="my-3">
                            <strong>@lang('Admin Feedback')</strong>
                            <p>${$(this).data('admin_feedback')}</p>
                        </div>
                    `;
                }else{
                    var adminFeedback = '';
                }

                modal.find('.feedback').html(adminFeedback);


                modal.modal('show');
            });
        })(jQuery);

    </script>
@endpush --}}
