@extends('templates.basic.user.records.account_records')

@section('sub-content')
    @forelse ($withdraws as $k=>$withdraw)
        <div class="row border-bottom border-secondary py-2 @if ($k == 0) border-top @endif">
            <div class="col-12">
                <div class="row">
                    <div class="col pe-1">
                        <p class="text-light mb-0 small-font">
                            {{ $withdraw->created_at }}
                            @if ($withdraw->status == 1)
                                <span class="ps-2 text-success">Success</span>
                            @elseif ($withdraw->status == 2)
                                <span class="ps-2 text-warning">Processing</span>
                            @elseif ($withdraw->status == 3)
                                <span class="ps-2 text-danger">Failed</span>
                            @endif
                        </p>
                    </div>
                    <div class="col-auto ps-0">
                        <h5 class="mb-0 text-start small-font text-light fw-bold">
                            {{ getAmount($withdraw->amount) }} {{ __($general->cur_text) }}
                        </h5>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 pe-1">
                        <p class="text-light mb-0 small-font">
                            Order ID: <span class="fw-bold">{{ $withdraw->trx }}</span>
                        </p>
                    </div>
                </div>
            </div>
        </div>

    @empty
        <div class="container mt-5">
            {{ emptyData('Ops, No Record Found!') }}
        </div>
    @endforelse

    <div class="d-flex justify-content-center mt-4">
        {{ $withdraws->links() }}
    </div>
@endsection
