@extends($activeTemplate . 'layouts.mobile')
@section('content')
@include('templates.basic.layouts.mobile.top_nav_mini')
    <div id="appCapsule">
        <div class="container">
            <div class="row mt-2">
                <div class="col-6 pe-1">
                    <div class="card">
                        <div class="card-body px-1 py-2 text-center">
                            <h5 class="mb-1 small-font-lg text-light fw-bold">{{ showAmount($commissions['yesterday']) }}</h5>
                            <h5 class="mb-0 small-font-sm text-light">Yesterday's Commission</h5>
                        </div>
                    </div>
                </div>
                <div class="col-6 ps-1">
                    <div class="card">
                        <div class="card-body px-1 py-2 text-center">
                            <h5 class="mb-1 small-font-lg text-light fw-bold">{{ showAmount($commissions['today']) }}</h5>
                            <h5 class="mb-0 small-font-sm text-light">Today's Commission</h5>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mt-2">
                <div class="col-6 pe-1">
                    <div class="card">
                        <div class="card-body px-1 py-2 text-center">
                            <h5 class="mb-1 small-font-lg text-light fw-bold">{{ teamSize($user->id, 1)+teamSize($user->id, 2)+teamSize($user->id, 3) }}</h5>
                            <h5 class="mb-0 small-font-sm text-light">Total Team Size</h5>
                        </div>
                    </div>
                </div>
                <div class="col-6 ps-1">
                    <div class="card">
                        <div class="card-body px-1 py-2 text-center">
                            <h5 class="mb-1 small-font-lg text-light fw-bold">{{ teamSizeToday($user->id, 1)+teamSizeToday($user->id, 2)+teamSizeToday($user->id, 3) }}</h5>
                            <h5 class="mb-0 small-font-sm text-light">Today's Team Size</h5>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mt-2">
                <div class="col-6 pe-1">
                    <div class="card">
                        <div class="card-body px-1 py-2 text-center">
                            <h5 class="mb-1 small-font-lg text-light fw-bold">{{ showAmount(teamTotalDeposit($user->id, 1)+teamTotalDeposit($user->id, 2)+teamTotalDeposit($user->id, 3)) }}</h5>
                            <h5 class="mb-0 small-font-sm text-light">Total Team Recharge</h5>
                        </div>
                    </div>
                </div>
                <div class="col-6 ps-1">
                    <div class="card">
                        <div class="card-body px-1 py-2 text-center">
                            <h5 class="mb-1 small-font-lg text-light fw-bold">{{ showAmount(teamTotalWithdraw($user->id, 1)+teamTotalWithdraw($user->id, 2)+teamTotalWithdraw($user->id, 3)) }}</h5>
                            <h5 class="mb-0 small-font-sm text-light">Total Team Withdraw</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid bg-light py-3 mt-2">
            <div class="row">
                <a href="{{route('user.team.report', 1)}}" class="col-4 text-center">
                    <h5 class="mb-0 small-font-lg {{ $level==1 ? 'text-red' : 'text-secondary' }} fw-bold">
                        LV1({{teamSize($user->id, 1)}})
                    </h5>
                </a>
                <a href="{{route('user.team.report', 2)}}" class="col-4 text-center">
                    <h5 class="mb-0 small-font-lg {{ $level==2 ? 'text-red' : 'text-secondary' }} fw-bold">
                        LV2({{teamSize($user->id, 2)}})
                    </h5>
                </a>
                <a href="{{route('user.team.report', 3)}}" class="col-4 text-center">
                    <h5 class="mb-0 small-font-lg {{ $level==3 ? 'text-red' : 'text-secondary' }} fw-bold">
                        LV3({{teamSize($user->id, 3)}})
                    </h5>
                </a>
            </div>
        </div>
        @yield('sub-content')
        {{-- <div class="container mt-2">
            {{ emptyData("No Data Found") }}
        </div> --}}
    </div>
@endsection
@push('style')
<style>
    .img-secondary {
        filter: brightness(0) saturate(100%) invert(46%) sepia(9%) saturate(447%) hue-rotate(167deg) brightness(96%) contrast(89%);
    }
</style>
@endpush
