@extends($activeTemplate . 'layouts.mobile')
@section('content')
    <style>
        body {
            overflow: hidden;
            background-image: url("{{asset('assets/images/bg/mining-bg.jpg')}}");
            /* Full height */
            height: 100%;
            /* Center and scale the image nicely */
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
        }

        #appCapsule {
            padding-top: 56px;
            padding-bottom: 150px;
            height: 100%;
            /* background: rgb(0, 168, 17); */
            background: rgba(255, 255, 255, 0);
        }
        .canvasjs-chart-credit{
            display: none;
        }
        .shadow-primary {
            box-shadow: 0px 0px 18px #00d094!important;
        }
    </style>



    <div id="appCapsule">
        <div class="container">
            <div class="card glass-bg">
                <div class="card-body">
                    <div class="row">
                        <div class="col-12">
                            <h6 class="mb-0 text-light small-font">Current Balance</h6>
                            <h5 class="mb-0 text-primary small-font-lg">{{getAmount($user->balance)}} {{$general->cur_text}}</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--bottom-nav-->
    <nav class="navbar2 fixed-bottom2">
        <div class="container text-center mb-4">
            <button class="btn btn-primary rounded-circle shadow-primary border border-white border-3" style="width: 100px; height: 100px">Start</button>
        </div>
    </nav>
@endsection
@push('script')
    <script>
        $(document).on('click', '.collectProfit', function(e) {
            e.preventDefault();
            $(this).removeClass('collectProfit');
            let timer = 5;
            $('#collectBtn').html(Spiner);
            $.ajax({
                type: "POST",
                url: "{{ route('user.trading.profit') }}",
                success: function(res) {
                    if (res.cls == 'success') {
                        let myInterval = setInterval(() => {
                            $('#timer').html(timer);
                            timer = timer - 1;
                            console.log(timer);
                            if (timer === 0) {
                                $('#timer').html('Complete');
                                clearInterval(myInterval)
                                $.ajax({
                                    type: "post",
                                    url: "{{ route('user.collect.profit') }}",
                                    success: function(response) {
                                        notifyMsgBig('Collected!', response.msg,
                                            response.cls);
                                        userDataApi()
                                        $('#collectBtn').html('Profit');
                                        $('#collectBtn').addClass('collectProfit');
                                    }
                                });

                            }
                        }, 1000);
                    } else {
                        notifyMsg(res.msg, res.cls);
                        $('#collectBtn').html('Profit');
                        $('#collectBtn').addClass('collectProfit');
                    }
                }
            });
        });

        // $(document).on('click', '.collectProfit2', function(e) {
        //     e.preventDefault();
        //     $(this).removeClass('collectProfit');
        //     let timer = 5;
        //     $('.collectProfit').html(Spiner);
        // });
    </script>

    <script>
        /* Dashboard chart combo line and bar */
        /* sales area chart */

        window.randomScalingFactor = function() {
            return Math.round(Math.random() * 50);
        }

        var areachart = document.getElementById('mixedchartjs').getContext('2d');
        var gradient1 = areachart.createLinearGradient(0, 0, 0, 10000);
        gradient1.addColorStop(0, 'rgb(0 208 148)');
        gradient1.addColorStop(0.5, 'rgba(0, 186, 255, 0)');
        var gradient2 = areachart.createLinearGradient(0, 0, 0, 10000);
        gradient2.addColorStop(0, 'rgb(255, 82, 122)');
        gradient2.addColorStop(1, 'rgba(255, 82, 122, 0)');

        area();

        function area() {

            var configareachart = {
                type: 'bar',
                data: {
                    labels: ['0', 'Q1', 'Q2', 'Q3', 'Q4', 'Q5', 'Q6', 'Q7'],
                    datasets: [{
                        label: 'My First dataset',
                        borderWidth: '1',
                        borderColor: '#00baff',
                        backgroundColor: gradient1,
                        data: [
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor()
                        ],
                    }, {
                        label: 'My First dataset',
                        borderWidth: '1',
                        borderColor: '#ff3f73',
                        backgroundColor: gradient2,
                        data: [
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor(),
                            randomScalingFactor()
                        ],
                    }]
                },
                options: {
                    responsive: true,
                    maintainAspectRatio: false,
                    elements: {
                        point: {
                            radius: '1',
                        }
                    },
                    title: {
                        display: false,
                        text: 'Chart.js Line Chart - Stacked Area'
                    },
                    tooltips: {
                        mode: 'index',
                    },
                    hover: {
                        mode: 'index'
                    },
                    legend: {
                        display: false,
                    },
                    scales: {
                        xAxes: [{
                            ticks: {
                                display: false,
                                fontColor: "#90b5ff",
                            },
                            display: false,
                            stacked: false,
                            scaleLabel: {
                                display: false,
                                labelString: 'Month'
                            }
                        }],
                        yAxes: [{
                            ticks: {
                                display: false,
                                fontColor: "#90b5ff",
                            },
                            display: false,
                            stacked: false,
                            scaleLabel: {
                                display: false,
                                labelString: 'Value'
                            }
                        }]
                    }
                }
            };

            window.salesareachart = new Chart(areachart, configareachart);

            setInterval(function() {
                configareachart.data.datasets.forEach(function(dataset) {
                    dataset.data = dataset.data.map(function() {
                        return randomScalingFactor();
                    });

                });
                window.salesareachart.update();
            }, 1100);

        }
    </script>
@endpush
