
<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    
    <meta name="viewport" content="width=device-width, user-scalable=no">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo e($general->siteName(__($pageTitle))); ?></title>
    <?php echo $__env->make('partials.seo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
    <link rel="stylesheet" href="https://maxst.icons8.com/vue-static/landings/line-awesome/font-awesome-line-awesome/css/all.min.css">
    <link rel="stylesheet" href="https://maxst.icons8.com/vue-static/landings/line-awesome/line-awesome/1.3.0/css/line-awesome.min.css">
    
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons+Round" rel="stylesheet">
    <link rel='stylesheet' href='https://cdn-uicons.flaticon.com/2.0.0/uicons-solid-rounded/css/uicons-solid-rounded.css'>
    <link rel='stylesheet' href='https://cdn-uicons.flaticon.com/2.0.0/uicons-regular-rounded/css/uicons-regular-rounded.css'>
    <link rel='stylesheet' href='https://cdn-uicons.flaticon.com/2.0.0/uicons-thin-rounded/css/uicons-thin-rounded.css'>
    <link rel='stylesheet' href='https://cdn-uicons.flaticon.com/2.0.0/uicons-bold-rounded/css/uicons-bold-rounded.css'>
    <?php echo $__env->make('templates.basic.layouts.custom.mobile_css', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('templates.basic.layouts.custom.blue', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldPushContent('style'); ?>
    <style>
        body, nav{
            max-width: 400px !important;
            margin: auto;
        }
    </style>
</head>



<body>

    <!--top-nav-->
    


    <?php echo $__env->yieldContent('content'); ?>

    <!-- Bottom Nav -->
    <nav class="navbar fixed-bottom navbar-dark bg-light" style="background-color:#99ccff;;">
        <div class="container-fluid" style="background-color:#99ccff;margin-top:-15px;">
            <div class="row mx-auto pb-2" style="justify-content: space-evenly">
                <div class="col-auto px-2 nav-icon" >
                    <a class="text-center" href="<?php echo e(route('home')); ?>">
                        <i class="fi fi-sr-home"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">Home</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="<?php echo e(route('user.my.task')); ?>">
                        <i class="fi fi-sr-clipboard-list-check"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">Task</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="<?php echo e(route('user.my.order')); ?>">
                        <i class="fi fi-sr-camera"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">Grab</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="<?php echo e(route('service')); ?>">
                        <i class="fi fi-sr-comment-alt"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">Service</p>
                    </a>
                </div>
                <div class="col-auto px-2 nav-icon">
                    <a class="text-center" href="<?php echo e(route('user.home')); ?>">
                        <i class="fi fi-sr-user"></i>
                        <p style="margin-top: -6px" class="small-font-sm text-secondary think-font">My</p>
                    </a>
                </div>
            </div>
        </div>
    </nav>

    

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
</script>

<script>
    const Spiner = `<div class="spinner-border spinner-border-sm" role="status"></div>`;
    //-- Notify --//
    const notifyMsgBig = (headline, msg, cls) => {
        Swal.fire(
            headline,msg,cls
        )
    }
    const notifyMsg = (msg,cls) => {
        Swal.fire({
            position: 'top-end',
            icon: cls,
            title: msg,
            toast:true,
            showConfirmButton: false,
            timer: 2500
        })
    }

    const userDataApi = () => {
        $.ajax({
            type: "get",
            url: "<?php echo e(route('user.data.api')); ?>",
            success: function (res) {
                $('.userBalance').html('<?php echo e($general->cur_sym); ?>'+(parseFloat(res.user.balance).toFixed(2)))
            }
        });
    }
    userDataApi()

</script>

<script>
    const currentUrl = $(location).attr('href');
    // active Class System Jquery
    $('.nav-icon a').each(function(index,item){
        let navLink = item['href'];
        if (currentUrl == navLink){
            $('.nav-icon').removeClass('active');
            $(this).addClass('active');
        }
    });

</script>

<script>
    const copyTxt = (id) =>{
        var r = document.createRange();
        r.selectNode(document.getElementById(id));
        window.getSelection().removeAllRanges();
        window.getSelection().addRange(r);
        document.execCommand('copy');
        window.getSelection().removeAllRanges();
        notifyGlass('success','Copy Success!')
    }
</script>

<?php echo $__env->yieldPushContent('script'); ?>
<?php echo $__env->make('partials.plugins', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('partials.notify', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</body>

</html>
<?php /**PATH /home/criphifh/tiemuonline.store/core/resources/views/templates/basic/layouts/mobile.blade.php ENDPATH**/ ?>