<?php $__env->startSection('content'); ?>
    <?php
        $kycInfo = getContent('kyc_info.content', true);
        checkLevel($user->id)
    ?>

    <div id="appCapsule">
        <div class="bg-profile p-2">

            <div class="row">
                <div class="col text-center mb-2">
                    <h5 class="mb-0 ps-5" style="font-weight: 500;">Personal Center</h5>
                </div>
                <a href="<?php echo e(route('user.account.setting')); ?>" class="col-auto">
                    <i class="fas fa-cog text-white" style="font-size: 22px"></i>
                </a>
            </div>

            <div class="row align-items-center pt-0 px-2">
                <div class="col-auto">
                    <img class="rounded-circle" style="width: 60px; height: 60px;" src="<?php echo e(asset('assets/images/logoIcon/logo.png')); ?>" alt="">
                </div>
                <div class="col">
                    <h5 class="small-font-lg text-white">
                        <?php echo e($user->email); ?>

                    </h5>
                    <div class="progress bg-white my-2" style="height: 2px;">
                        <div class="progress-bar " role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
                    <h6 class="small-font-sm text-white">
                        Next level: <?php echo e(showAmount($user->deposits_success->sum('amount'))); ?>/<?php echo e($nextLevel ? $nextLevel->deposit_requirement : 'MAX'); ?> (Recharge)
                    </h6>
                </div>
                <a href="<?php echo e(route('user.logout')); ?>" class="col-auto">
                    <i class="fas fa-sign-out-alt text-white" style="font-size: 20px"></i>
                </a>
            </div>

            
        </div>

        <div class="container" style="margin-top: -70px;">
            <div class="card bg-tr-light">
                <div class="card-body">
                    <div class="row">
                        <div class="col-4 text-center">
                            <h5 class="text-light mid-font mb-2"><?php echo e(getAmount($today['grabing_bonus'])); ?></h5>
                            <h5 class="text-light small-font-sm">Today's Earning</h5>
                        </div>
                        <div class="col-4 border-start border-end border-light text-center">
                            <h5 class="text-light mid-font mb-2"><?php echo e(getAmount($user->balance)); ?></h5>
                            <h5 class="text-light small-font-sm">Balance</h5>
                        </div>
                        <div class="col-4 text-center">
                            <h5 class="text-light mid-font mb-2"><?php echo e(getAmount($user->frozen_balance)); ?></h5>
                            <h5 class="text-light small-font-sm">Frozen amount</h5>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mt-2">
                <div class="col-6 pe-1">
                    <a href="<?php echo e(route('user.deposit.index')); ?>" class="card bg-tr-light">
                        <div class="card-body p-2">
                            <div class="row align-items-center">
                                <div class="col-auto">
                                    <div class="icon-circle">
                                        <i class="fi fi-rr-credit-card"></i>
                                    </div>
                                </div>
                                <div class="col">
                                    <h6 class="small-font text-light">Recharge Balance</h6>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
                <div class="col-6 ps-1">
                    <a href="<?php echo e(route('user.withdraw.cash.channel')); ?>" class="card bg-tr-light">
                        <div class="card-body p-2">
                            <div class="row align-items-center">
                                <div class="col-auto">
                                    <div class="icon-circle">
                                        <i class="fi fi-rr-money-from-bracket"></i>
                                    </div>
                                </div>
                                <div class="col">
                                    <h6 class="small-font text-light">Withdraw Now</h6>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>

            <a href="<?php echo e(route('user.team.report', 1)); ?>" class="card bg-tr-light mt-2">
                <div class="card-body p-2">
                    <div class="row align-items-center">
                        <div class="col-auto">
                            <div class="icon-circle">
                                <i class="fi fi-rr-users-alt"></i>
                            </div>
                        </div>
                        <div class="col text-end">
                            <h6 class="small-font text-light">Team Earnings</h6>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-angle-right text-light"></i>
                        </div>
                    </div>
                </div>
            </a>
            <a href="<?php echo e(route('user.movies')); ?>" class="card bg-tr-light mt-2">
                <div class="card-body p-2">
                    <div class="row align-items-center">
                        <div class="col-auto">
                            <div class="icon-circle">
                                <i class="fi fi-rr-camera-movie"></i>
                            </div>
                        </div>
                        <div class="col text-end">
                            <h6 class="small-font text-light">Order Investment</h6>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-angle-right text-light"></i>
                        </div>
                    </div>
                </div>
            </a>

            <div class="card bg-tr-light mt-2">
                <div class="card-body">
                    <div class="row">
                        <a href="<?php echo e(route('user.account.records', 'all')); ?>" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-time-quarter-to"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Account Record</h6>
                        </a>
                        <a href="<?php echo e(route('user.electronic.wallet')); ?>" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-wallet"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Electronic Wallet</h6>
                        </a>
                        <a href="<?php echo e(route('user.membership.level')); ?>" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-gem"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Membership level</h6>
                        </a>
                    </div>
                </div>
            </div>
            <div class="card bg-tr-light mt-2 mb-3">
                <div class="card-body">
                    <div class="row">
                        <a href="<?php echo e(route('user.box.office.guide')); ?>" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-ticket-airline"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Box Office Guide</h6>
                        </a>
                        <a href="<?php echo e(route('user.user.agreement')); ?>" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-briefcase"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">User Agreement</h6>
                        </a>
                        <a href="<?php echo e(route('user.share.code')); ?>" class="col-4 px-1 text-center">
                            <div class="icon-circle mx-auto">
                                <i class="fi fi-rr-share-square"></i>
                            </div>
                            <h6 class="small-font-sm text-light mt-1">Share Code</h6>
                        </a>
                    </div>
                </div>
            </div>

        </div>

    </div>





    
<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('assets/admin/js/vendor/apexcharts.min.js')); ?>"></script>
    
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.mobile', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/criphifh/tiemuonline.store/core/resources/views/templates/basic/user/dashboard.blade.php ENDPATH**/ ?>