<?php $__env->startSection('panel'); ?>
<div class="row mb-none-30">
  <div class="col-md-12">
    <div class="card">
        <div class="card-body p-0">
            <div class="table-responsive--sm">
                <table class="table table--light style--two">
                    <thead>
                        <tr>
                            <th scope="col"><?php echo app('translator')->get('Name'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Image'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Type'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Movie Duration'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Rating'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Action'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $movies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $movie): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td><?php echo e($movie->name); ?></td>
                            <td data-label="<?php echo app('translator')->get('Image'); ?>">
                                <img src="<?php echo e(asset('assets/images/movies/'. @$movie->image)); ?>" class="img-fluid img-thumbnail rounded neo-shadow" style="height: 50px">
                            </td>
                            <td><span class="badge badge--primary"><?php echo e($movie->type); ?></span></td>
                            <td><?php echo e($movie->duration); ?> Minutes</td>
                            <td><?php echo e($movie->rating); ?> STAR</td>
                            <td>
                                <?php if($movie->status == 1): ?>
                                    <span class="badge badge--success">Active</span>
                                <?php else: ?>
                                    <span class="badge badge--danger">Diactive</span>
                                <?php endif; ?>
                            </td>

                            <td>
                                <button class="btn btn-outline--primary btn-sm movieBtn"
                                    data-id="<?php echo e($movie->id); ?>"
                                    data-name="<?php echo e($movie->name); ?>"
                                    data-type="<?php echo e($movie->type); ?>"
                                    data-duration="<?php echo e($movie->duration); ?>"
                                    data-rating="<?php echo e($movie->rating); ?>"
                                    data-informations="<?php echo e($movie->informations); ?>"
                                    data-box_office_guide="<?php echo e($movie->box_office_guide); ?>"
                                    data-status="<?php echo e($movie->status); ?>"
                                    data-act="Edit">
                                    <i class="la la-pencil"></i> <?php echo app('translator')->get('Edit'); ?>
                                </button>

                                

                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                        </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
  </div>
</div>

<div class="modal fade" id="planModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title"><span class="act"></span> <?php echo app('translator')->get('Subscription Plan'); ?></h5>
            <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                <i class="las la-times"></i>
            </button>
            </div>
            <form action="<?php echo e(route('admin.movies.update')); ?>" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="id">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="name"><?php echo app('translator')->get('Name'); ?> </label>
                        <input type="text" class="form-control" name="name" placeholder="<?php echo app('translator')->get('Movie Name'); ?>" required>
                    </div>
                    <div class="form-group">
                        <label for="details"><?php echo app('translator')->get('Movie Type'); ?> </label>
                        <select name="type" class="form-control" required>
                            <option value="<?php echo e(null); ?>"> <?php echo app('translator')->get('Select Movie Type'); ?></option>
                            <option value="Suspense">Suspense</option>
                            <option value="Crime">Crime</option>
                            <option value="Fear">Fear</option>
                            <option value="Comedy">Comedy</option>
                            <option value="Plot">Plot</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="duration"><?php echo app('translator')->get('Movie Duration (In Minutes)'); ?> </label>
                        <input type="number" class="form-control" name="duration" placeholder="<?php echo app('translator')->get('Movie Duration (In Minutes)'); ?>" required>
                    </div>
                    <div class="form-group">
                        <label for="details"><?php echo app('translator')->get('Movie Rating'); ?> </label>
                        <select name="rating" class="form-control" required>
                            <option value="<?php echo e(null); ?>"> <?php echo app('translator')->get('Select Movie Rating'); ?></option>
                            <option value="1">1 STAR</option>
                            <option value="2">2 STAR</option>
                            <option value="3">3 STAR</option>
                            <option value="4">4 STAR</option>
                            <option value="5">5 STAR</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="duration"><?php echo app('translator')->get('Movie Informations (Optional)'); ?> </label>
                        <textarea rows="5" class="form-control" name="informations"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="duration"><?php echo app('translator')->get('Box Office Guide (Optional)'); ?> </label>
                        <textarea rows="10" class="form-control" name="box_office_guide"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="image"><?php echo app('translator')->get('Movie Poster'); ?> </label>
                        <div class="file-upload-wrapper" data-text="Select Movie Poster">
                            <input type="file" class="file-upload-field" name="image" id="image" placeholder="<?php echo app('translator')->get('Movie Poster'); ?>">
                        </div>
                        <small class="text-secondary">Image size must be <b class="text-danger">(300x300)</b>pixel.</small>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100"><?php echo app('translator')->get('Submit'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('breadcrumb-plugins'); ?>
    <button class="btn btn-outline--primary btn-sm movieBtn" data-id="0" data-act="Add" data-bs-toggle="modal" data-bs-target="#planModal"><i class="las la-plus"></i> <?php echo app('translator')->get('Add New'); ?></button>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('script'); ?>
<script>
    (function($){
        "use strict";
        $('.movieBtn').on('click', function() {
            var modal = $('#planModal');
            modal.find('.act').text($(this).data('act'));
            modal.find('input[name=id]').val($(this).data('id'));
            modal.find('input[name=name]').val($(this).data('name'));
            modal.find('select[name=type]').val($(this).data('type')).change();
            modal.find('input[name=duration]').val($(this).data('duration'));
            modal.find('textarea[name=informations]').html($(this).data('informations'));
            modal.find('textarea[name=box_office_guide]').html($(this).data('box_office_guide'));
            modal.find('select[name=rating]').val($(this).data('rating')).change();
            console.log($(this).data('rating'));
            if($(this).data('id') == 0){
                modal.find('form')[0].reset();
            }
            modal.modal('show');
        });
    })(jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/criphifh/tiemuonline.store/core/resources/views/admin/movies.blade.php ENDPATH**/ ?>