<?php $__env->startSection('panel'); ?>
<div class="row mb-none-30">
  <div class="col-md-12">
    <div class="card">
        <div class="card-body p-0">
            <div class="table-responsive--sm">
                <table class="table table--light style--two">
                    <thead>
                        <tr>
                            <th scope="col"><?php echo app('translator')->get('Name'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Type'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Action'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td><?php echo e($task->title); ?></td>
                            <td><span class="badge badge--primary"><?php echo e($task->type); ?></span></td>
                            <td>
                                <?php if($task->status == 1): ?>
                                    <span class="badge badge--success">Active</span>
                                <?php else: ?>
                                    <span class="badge badge--danger">Diactive</span>
                                <?php endif; ?>
                            </td>

                            <td>
                                <button class="btn btn-outline--primary btn-sm taskBtn"
                                    data-id="<?php echo e($task->id); ?>"
                                    data-title="<?php echo e($task->title); ?>"
                                    data-type="<?php echo e($task->type); ?>"
                                    data-condition="<?php echo e(getAmount($task->condition)); ?>"
                                    data-bonus="<?php echo e(getAmount($task->bonus)); ?>"
                                    data-status="<?php echo e($task->status); ?>"
                                    data-act="Edit">
                                    <i class="la la-pencil"></i> <?php echo app('translator')->get('Edit'); ?>
                                </button>
                                
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                        </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
  </div>
</div>

<div class="modal fade" id="planModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title"><span class="act"></span> <?php echo app('translator')->get('Task'); ?></h5>
            <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                <i class="las la-times"></i>
            </button>
            </div>
            <form action="<?php echo e(route('admin.tasks.update')); ?>" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="id">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="title"><?php echo app('translator')->get('Title'); ?> </label>
                        <input type="text" class="form-control" name="title" placeholder="<?php echo app('translator')->get('Enter Task Title'); ?>" required>
                    </div>
                    <div class="form-group">
                        <label for="details"><?php echo app('translator')->get('Task Type'); ?> </label>
                        <select name="type" class="form-control" required>
                            <option value="<?php echo e(null); ?>"> <?php echo app('translator')->get('Select Task Type'); ?></option>
                            <option value="deposit">Deposit Type</option>
                            <option value="refer">Refer Type</option>
                        </select>
                    </div>
                    <div class="form-group typeSection">

                    </div>
                    <div class="form-group">
                        <label for="duration">Task Bonus</label>
                        <div class="input-group">
                            <input class="form-control" type="number" step="any" name="bonus" placeholder="<?php echo app('translator')->get('Task Bonus'); ?>" required>
                            <span class="input-group-text">Energy Token</span>
                        </div>
                    </div>
                </div>

                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100"><?php echo app('translator')->get('Submit'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('breadcrumb-plugins'); ?>
    <button class="btn btn-outline--primary btn-sm taskBtn" data-id="0" data-act="Add" data-bs-toggle="modal" data-bs-target="#planModal"><i class="las la-plus"></i> <?php echo app('translator')->get('Add New'); ?></button>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('script'); ?>

<script>
    $(document).on('change', '[name=type]', function () {
        let type = $('option:selected', this).val();
        if (type == 'deposit') {
            var html = `
            <label for="duration">Deposit Requirement</label>
            <div class="input-group">
                <input class="form-control" type="number" step="any" name="condition" placeholder="<?php echo app('translator')->get('Deposit Requirement'); ?>" required>
                <span class="input-group-text"><?php echo e(__($general->cur_text)); ?></span>
            </div>
            `
        }else if(type == 'refer'){
            var html = `
            <label for="duration">Refer Requirement</label>
            <div class="input-group">
                <input class="form-control" type="number" step="any" name="condition" placeholder="<?php echo app('translator')->get('Refer Requirement'); ?>" required>
                <span class="input-group-text">Person</span>
            </div>
            `
        }else{
            var html = ``;
        }

        $('.typeSection').html(html);
        console.log(html);
    });
</script>

<script>
    (function($){
        "use strict";
        $('.taskBtn').on('click', function() {
            var modal = $('#planModal');
            modal.find('.act').text($(this).data('act'));
            modal.find('input[name=id]').val($(this).data('id'));
            modal.find('input[name=title]').val($(this).data('title'));
            modal.find('select[name=type]').val($(this).data('type')).change();
            modal.find('input[name=condition]').val($(this).data('condition'));
            modal.find('input[name=bonus]').val($(this).data('bonus'));
            if($(this).data('id') == 0){
                modal.find('form')[0].reset();
            }
            modal.modal('show');
        });
    })(jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/criphifh/tiemuonline.store/core/resources/views/admin/tasks.blade.php ENDPATH**/ ?>